Bug 965553 - ibus-chewing may not handle key event after focus change
ibus-chewing may not handle key event after focus change
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
18
All All
high Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 07:01 EDT by IBM Bug Proxy
Modified: 2014-02-05 16:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:28:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 93585 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-05-21 07:01:42 EDT
== Comment: #0 - Ichiroh Takiguchi <takiguc@jp.ibm.com> - 2013-05-20 04:10:58 ==
ibus-chewing does not work correctly.
If preedit string is available and input focus is moved to 
another window, preedit string is committed.
After that, when input focus is moved back to the window,
XIM cannot handle first key input.

---Steps to Reproduce---
 (It requires Chinese language setting, Chinese fonts, ibus and ibus-chewing rpm package, "Chinese (Chewing)" should be configured on "Region and Language Settings")

   1) Open gnome-terminal
   2) Type "echo $XMODIFERS" on gnome-terminal, the output should be "@im=ibus". If not, ibus may not be configured or running
   3) Type "GTK_IM_MODULE=xim gedit"
   4) Input focus should be on gedit, select "Region and Language Settings" icon -> "Chinese (Chewing)"
   5) Type 'u' key. Then one Taiwanese character should be displayed.
   6) Move focus to gnome-terminal by mouse without any key operation.
   7) Move back focus to gedit.
   8) Type 'u' key.
   => Intermittently, an alphabet character 'u' is inputted, instead of Taiwanese character.
Comment 1 IBM Bug Proxy 2013-07-19 01:40:26 EDT
------- Comment From onmahaja@in.ibm.com 2013-07-19 05:34 EDT-------
Redhat ,
Any progress on this Bug ?

Regards,
Onkar
Comment 2 IBM Bug Proxy 2013-09-27 04:10:33 EDT
------- Comment From onmahaja@in.ibm.com 2013-09-27 08:06 EDT-------
RedHat , Any progress on this bug , not received any response from your side for long time.

Regards,
Onkar
Comment 3 Fedora End Of Life 2013-12-21 08:39:06 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 16:28:15 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.